WITH
agg as (
SELECT
    ol.doc->>'user' "user"
    ,quota_rep_descr 
    ,to_char((ol.doc->>'stamp')::timestamptz,'Mon-DD HH24:MI:SS') stamp
    ,ol.doc->>'tag' tag
    ,ol.doc->>'message' "comment"
    ,jsonb_pretty(ol.doc) doc
    ,ol.id
    ,to_char(round(sum(value_usd),2),'$999,999,999D00') sales
from
    rlarp.osm_log ol
    inner join rlarp.osm_pool on
        id = logid
WHERE
    quota_rep_descr = 'replace_user'
    AND tag NOT IN ('Initial Build','last price')
group BY
    ol.doc->>'user'
    ,quota_rep_descr 
    ,ol.doc->>'stamp'
    ,ol.doc->>'tag'
    ,ol.doc->>'comment'
    ,jsonb_pretty(ol.doc)
    ,ol.id
ORDER BY
    ol.id desc
)
SELECT
    jsonb_agg(row_to_json(agg)::jsonb ORDER BY agg.id desc) x from agg
